<?
/*
* Code for calculating thumbnail image sizes.
*
* Copyright (c) 2007, 2008 Jan Dittberner <jan@dittberner.info>
* Jan Dittberner IT-Consulting & -Solutions
* Cottbuser Str. 1, D-01129 Dresden
*
* This file is part of the ScrollingJQueryGallery component of the
* gnuviech-server.de Websitetools
*
* ScrollingJQueryGallery is free software: you can redistribute it
* and/or modify it under the terms of the GNU General Public License as
* published by the Free Software Foundation, either version 3 of the
* License, or (at your option) any later version.
*
* ScrollingJQueryGallery is distributed in the hope that it will be
* useful, but WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
* General Public License for more details.
*
* You should have received a copy of the GNU General Public License
* along with ScrollingJQueryGallery.  If not, see
* <http://www.gnu.org/licenses/>.
*
* Version: $Id$
*/

$thumbsizes = array();
$thumbwidthsum = 2;
$thumbheight = 67;
foreach ($allfiles as $filename) {
  $directory = dirname($filename);
  $basename = basename($filename);
  $thumbfile = $directory .
    DIRECTORY_SEPARATOR . $basename;
  if ($thumbsize = getimagesize($thumbfile)) {
    $thumbsizes[$thumbfile] = $thumbsize;
    $thumbwidthsum = $thumbwidthsum + $thumbsize[0] + 3;
  }
}
